Modify

Opened 6 years ago

Closed 6 years ago

#9505 closed defect (fixed)

Defaults for osm-server.url differ = !null

Reported by: rickmastfan67 Owned by: team
Priority: minor Milestone: 14.01
Component: Core Version: latest
Keywords: Cc:

Description

Getting some weird "!= null" messages when I look at the command line window when starting up JOSM r6581. I think this is related to the changes in [6578] as this didn't happen in the last "lastest" version released (r6572).

Marking this a "minor" since it doesn't seem to effect making changes and uploading them to the OSM server.

INFO: Defaults for osm-server.url differ: null != http://api.openstreetmap.org/api
INFO: GET http://api.openstreetmap.org/api/0.6/user/details
INFO: Message notifier active (checks every 5 minutes)
INFO: Defaults for osm-server.url differ: http://api.openstreetmap.org/api != null
INFO: Defaults for osm-server.url differ: null != http://api.openstreetmap.org/api
INFO: GET http://api.openstreetmap.org/api/0.6/user/details
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-01-01 02:35:30
Last Changed Author: simon04
Revision: 6581
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-12-31 15:10:06 +0100 (Tue, 31 Dec 2013)
Last Changed Rev: 6581

Identification: JOSM/1.5 (6581 en) Windows 7 64-Bit
Memory Usage: 222 MB / 1820 MB (160 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx2048M]

Plugin: ImageryCache (30135)
Plugin: OpeningHoursEditor (30117)
Plugin: buildings_tools (30057)
Plugin: measurement (30104)
Plugin: mirrored_download (30106)
Plugin: openstreetbugs (30004)
Plugin: osmarender (29854)
Plugin: reverter (30031)
Plugin: turnrestrictions (30145)
Plugin: undelete (29854)
Plugin: utilsplugin2 (30017)

Attachments (0)

Change History (7)

comment:1 Changed 6 years ago by bastiK

Thanks for reporting the bug and a happy new year to all!

comment:2 Changed 6 years ago by bastiK

Resolution: fixed
Status: newclosed

In 6582/josm:

fixed #9505 - Defaults for osm-server.url differ = !null

comment:3 Changed 6 years ago by bastiK

Please reopen, if there are similar warnings.

comment:4 Changed 6 years ago by rickmastfan67

Resolution: fixed
Status: closedreopened

Just found some more.

INFO: Defaults for draw.rawgps.layer.wpt.pattern differ: ?{ '{name} - {desc}' | '{name}' | '{desc}' } != null
INFO: Defaults for draw.rawgps.layer.audiowpt.pattern differ: ?{ '{name}' | '{desc}' | '{formattedWaypointOffset}' } != null
INFO: Defaults for plugins differ: null != []
INFO: Defaults for plugins differ: [] != null
INFO: Defaults for proxy.http.host differ:  != null
INFO: Defaults for proxy.http.port differ:  != null
INFO: Defaults for proxy.socks.host differ:  != null
INFO: Defaults for proxy.socks.port differ:  != null
INFO: Defaults for taggingpreset.sortmenu differ: false != null
INFO: Defaults for audio.menuinvisible differ: null != false

All of these showed up when I went clicking on all of the buttons (on the left) in the preference area.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-01-02 02:35:29
Last Changed Author: simon04
Revision: 6596
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-01-02 01:42:06 +0100 (Thu, 02 Jan 2014)
Last Changed Rev: 6596

Identification: JOSM/1.5 (6596 en) Windows 7 64-Bit
Memory Usage: 222 MB / 1820 MB (94 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx2048M]

Plugin: ImageryCache (30135)
Plugin: OpeningHoursEditor (30117)
Plugin: buildings_tools (30057)
Plugin: measurement (30104)
Plugin: mirrored_download (30162)
Plugin: openstreetbugs (30004)
Plugin: osmarender (29854)
Plugin: reverter (30031)
Plugin: turnrestrictions (30145)
Plugin: undelete (29854)
Plugin: utilsplugin2 (30017)

comment:5 Changed 6 years ago by rickmastfan67

And while playing with those buttons on the left in the preference area, it seems to have damaged my Oauth settings for JOSM. Before I did that, Oauth was working fine. But now, every time I start up JOSM, I now see the following error in the console window:

INFO: GET http://api.openstreetmap.org/api/0.6/user/details
org.openstreetmap.josm.io.OsmApiException: ResponseCode=401
        at org.openstreetmap.josm.io.OsmServerReader.getInputStreamRaw(OsmServerReader.java:119)
        at org.openstreetmap.josm.io.OsmServerReader.getInputStream(OsmServerReader.java:56)
        at org.openstreetmap.josm.io.OsmServerUserInfoReader.fetchUserInfo(OsmServerUserInfoReader.java:150)
        at org.openstreetmap.josm.gui.JosmUserIdentityManager.initFromOAuth(JosmUserIdentityManager.java:217)
        at org.openstreetmap.josm.gui.JosmUserIdentityManager.getInstance(JosmUserIdentityManager.java:65)
        at org.openstreetmap.josm.io.MessageNotifier.isUserEnoughIdentified(MessageNotifier.java:121)
        at org.openstreetmap.josm.io.MessageNotifier.start(MessageNotifier.java:90)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:420)
INFO: Message notifier active (checks every 5 minutes)
INFO: GET http://api.openstreetmap.org/api/0.6/user/details
WARNING: org.openstreetmap.josm.io.OsmApiException: ResponseCode=401
org.openstreetmap.josm.io.OsmApiException: ResponseCode=401
        at org.openstreetmap.josm.io.OsmServerReader.getInputStreamRaw(OsmServerReader.java:119)
        at org.openstreetmap.josm.io.OsmServerReader.getInputStream(OsmServerReader.java:56)
        at org.openstreetmap.josm.io.OsmServerUserInfoReader.fetchUserInfo(OsmServerUserInfoReader.java:150)
        at org.openstreetmap.josm.io.MessageNotifier$Worker.run(MessageNotifier.java:61)
        at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
        at java.util.concurrent.FutureTask.runAndReset(Unknown Source)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(Unknown Source)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

Does this mean my profile is now damaged and I need to create a new one, or just get a new Oauth from the main OSM site?

Also, you'll want to take a look at #9511.

comment:6 Changed 6 years ago by Don-vip

Milestone: 14.01

comment:7 Changed 6 years ago by bastiK

Resolution: fixed
Status: reopenedclosed

In 6599/josm:

fixed #9505 - Defaults for osm-server.url differ = !null

Loosen the conditions for default values. In general default values must be equal for the same key throughout the code. As an exception, you can always provide null as dummy default value (as it was before [6578]).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.